Version 6.x.x Source
Single Settings for Accounts

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `auto_accounting_for_stock` | Check | Make Accounting Entry For Every Stock Movement If enabled, the system will post accounting entries for inventory automatically. |
2 | `acc_frozen_upto` | Date | Accounts Frozen Upto Accounting entry frozen up to this date, nobody can do / modify entry except role specified below. |
3 | `frozen_accounts_modifier` | Link | Role Allowed to Set Frozen Accounts & Edit Frozen Entries Users with this role are allowed to set frozen accounts and create / modify accounting entries against frozen accounts | Role
4 | `credit_controller` | Link | Credit Controller Role that is allowed to submit transactions that exceed credit limits set. | Role
5 | `check_supplier_invoice_uniqueness` | Check | Check Supplier Invoice Number Uniqueness |

### Controller

#### erpnext.accounts.doctype.accounts_settings.accounts_settings

### Class AccountsSettings

Inherits from frappe.model.document.Document

on_update (self)

No docs